classification
Title: Update multiprocessing for PEP 451
Type: Stage: test needed
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, brett.cannon, eric.snow, sbt
Priority: normal Keywords:

Created on 2013-11-22 16:34 by brett.cannon, last changed 2013-12-13 19:52 by brett.cannon. This issue is now closed.

Messages (4)
msg203802 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-11-22 16:34
Specifically Lib/multiprocessing/spawn.py:import_main_path()
msg205353 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-12-06 05:48
In Lib/multiprocessing/spawn.py the following need changing:

get_preparation_data()
import_main_path()
msg205884 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-12-11 06:02
This came up in issue19946.
msg206143 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-12-13 19:52
I think this is as fixed as it's going to be until Python 3.5 and the code is updated to use runpy (see http://bugs.python.org/issue19978).
History
Date User Action Args
2013-12-13 19:52:36brett.cannonsetstatus: open -> closed
versions: + Python 3.5, - Python 3.4
messages: + msg206143

dependencies: - Document the possible values for __main__.__spec__
resolution: fixed
2013-12-11 06:02:59eric.snowsetnosy: + sbt
messages: + msg205884
2013-12-06 05:48:17eric.snowsetdependencies: + Document the possible values for __main__.__spec__
messages: + msg205353
2013-11-23 19:51:13Arfreversetnosy: + Arfrever
2013-11-22 18:47:24eric.snowsetnosy: + eric.snow
2013-11-22 16:34:15brett.cannonlinkissue18864 dependencies
2013-11-22 16:34:03brett.cannoncreate